Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema Class Reference

`#include <ICamera.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema:
[legend]

## Public Types

typedef ICameraSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >
typedef CameraSchemaInfo | info_type
typedef ISchema< CameraSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions

| ICameraSchema ()
| ICameraSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ICameraSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ICameraSchema (const ICameraSchema &iCopy)
| Copy constructor.
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used.
size_t | getNumSamples () const
bool | isConstant () const
void | get (CameraSample &oSample, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
CameraSample | getValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Abc::IBox3dProperty | getChildBoundsProperty () const
void | reset ()
bool | valid () const
| Returns whether this function set is valid.
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (ICameraSchema::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >
| ISchema ()
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::IScalarProperty | m_coreProperties
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Abc::IScalarProperty | m_smallFilmBackChannels
Abc::IDoubleArrayProperty | m_largeFilmBackChannels
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Detailed Description

Definition at line 50 of file ICamera.h.

## Member Typedef Documentation

## this_type

typedef ICameraSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 58 of file ICamera.h.

## Constructor & Destructor Documentation

## ICameraSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::ICameraSchema | ( |  | ) |

inline

The default constructor creates an empty OCameraMeshSchema ...

Definition at line 66 of file ICamera.h.

Referenced by ICameraSchema().

Here is the caller graph for this function:

## ICameraSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::ICameraSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor creates a new camera reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 74 of file ICamera.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >::ISchema(), and init().

Here is the call graph for this function:

## ICameraSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::ICameraSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor wraps an existing ICompoundProperty as the camera reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 88 of file ICamera.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >::ISchema(), and init().

Here is the call graph for this function:

## ICameraSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::ICameraSchema | ( | const ICameraSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 98 of file ICamera.h.

References ICameraSchema(), and Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CameraSchemaInfo >::ISchema().

Here is the call graph for this function:

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | ICameraSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

References valid().

Here is the call graph for this function:

## get()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::get | ( | CameraSample & | oSample,
|  | const Abc::ISampleSelector & | iSS = Abc::ISampleSelector() ) const

Referenced by getValue().

Here is the caller graph for this function:

## getArbGeomParams()

ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getArbGeomParams | ( |  | ) | const

inline

Definition at line 134 of file ICamera.h.

References m_arbGeomParams.

## getChildBoundsProperty()

Abc::IBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getChildBoundsProperty | ( |  | ) | const

inline

Definition at line 137 of file ICamera.h.

References m_childBoundsProperty.

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getNumSamples | ( |  | ) | const

inline

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

Definition at line 114 of file ICamera.h.

References m_coreProperties.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getTimeSampling | ( |  | ) | const

inline

Default assignment operator used.

Return the time sampling.

Definition at line 107 of file ICamera.h.

References m_coreProperties.

## getUserProperties()

ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getUserProperties | ( |  | ) | const

inline

Definition at line 135 of file ICamera.h.

References m_userProperties.

## getValue()

CameraSample Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::getValue | ( | const Abc::ISampleSelector & | iSS = Abc::ISampleSelector() | ) | const

inline

Definition at line 124 of file ICamera.h.

References get().

Here is the call graph for this function:

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::init | ( | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1 )

protected

Referenced by ICameraSchema(), and ICameraSchema().

Here is the caller graph for this function:

## isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::isConstant | ( |  | ) | const

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::reset | ( |  | ) |

inline

Reset returns this function set to an empty, default state.

Definition at line 141 of file ICamera.h.

References m_arbGeomParams, m_childBoundsProperty, m_coreProperties, and m_userProperties.

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::valid | ( |  | ) | const

inline

Returns whether this function set is valid.

Definition at line 152 of file ICamera.h.

References m_coreProperties.

Referenced by ALEMBIC_OVERRIDE_OPERATOR_BOOL().

Here is the caller graph for this function:

## Member Data Documentation

## m_arbGeomParams

Abc::ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_arbGeomParams

protected

Definition at line 170 of file ICamera.h.

Referenced by getArbGeomParams(), and reset().

## m_childBoundsProperty

Abc::IBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_childBoundsProperty

protected

Definition at line 168 of file ICamera.h.

Referenced by getChildBoundsProperty(), and reset().

## m_coreProperties

Abc::IScalarProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_coreProperties

protected

Definition at line 166 of file ICamera.h.

Referenced by getNumSamples(), getTimeSampling(), reset(), and valid().

## m_largeFilmBackChannels

Abc::IDoubleArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_largeFilmBackChannels

protected

Definition at line 174 of file ICamera.h.

## m_smallFilmBackChannels

Abc::IScalarProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_smallFilmBackChannels

protected

Definition at line 173 of file ICamera.h.

## m_userProperties

Abc::ICompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICameraSchema::m_userProperties

protected

Definition at line 171 of file ICamera.h.

Referenced by getUserProperties(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/ICamera.h